Get Account Opening Request By ID
curl --request GET \
--url https://api.sandbox.wepayout.com.br/v2/register/companies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.wepayout.com.br/v2/register/companies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.wepayout.com.br/v2/register/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"company": {
"legal_name": "Acme Tech LTDA",
"trade_name": "Acme Tech",
"tax_id": "11222333000181",
"contacts": [
{
"name": "João Silva",
"email": "joao@acme.com",
"phone": "+5511999999999",
"tax_id": "12345678901",
"role": "administrator"
},
{
"name": "Maria Silva",
"email": "maria.silva@acme.com",
"phone": "+5511999999999",
"tax_id": "12345678000",
"role": "legal_representative"
}
],
"address": [
{
"city": "São Paulo",
"state": "SP",
"country": "Brasil",
"zip_code": "01234-567",
"street": "Rua das Flores",
"number": "123",
"complement": "Sala 1"
}
]
},
"status": "active",
"status_history": [
{
"status": "pending",
"created_at": "2024-01-01T10:00:00.000000Z"
},
{
"status": "due_diligence_review",
"created_at": "2024-01-02T10:00:00.000000Z"
},
{
"status": "active",
"created_at": "2024-01-03T10:00:00.000000Z"
}
],
"account_id": 999900,
"created_at": "2024-01-01T10:00:00.000000Z",
"updated_at": "2024-01-03T10:00:00.000000Z"
}
{
"error": "Account opening request not found"
}
Onboarding
Get Account Opening Request By ID
Retrieve a single account opening request using its unique identifier. Returns all details of the request including company information, contacts, addresses, status, and history.
GET
/
v2
/
register
/
companies
/
{id}
Get Account Opening Request By ID
Path Parameters
Unique identifier of the account opening request
Response Body
Unique identifier of the account opening request
Company information
Show Company Details
Show Company Details
Company’s registered legal name
Company’s trade name or business name
Company’s tax identification number (CNPJ), numbers only
List of contact persons associated with the company. Each object represents a contact.
Show Contact
Show Contact
Full name of the contact person
Email address of the contact person
Phone number including country and area code
Contact’s individual tax ID (CPF), numbers only
Role within the companyAllowed values:
administrator, legal_representative, financial, commercialList of addresses related to the company
Current status of the account opening requestValues:
pending, due_diligence_review, active, inactive, canceled, closedIdentifier of the account linked after approval
Date and time when the account opening request was created
Date and time when the request was last updated
Request Example
Accept: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN'
const id = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(
`https://api.wepayments.com/v2/register/companies/${id}`,
{
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_TOKEN'
}
}
);
const data = await response.json();
console.log(data);
import requests
id = '550e8400-e29b-41d4-a716-446655440000'
url = f'https://api.wepayments.com/v2/register/companies/{id}'
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_TOKEN'
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"company": {
"legal_name": "Acme Tech LTDA",
"trade_name": "Acme Tech",
"tax_id": "11222333000181",
"contacts": [
{
"name": "João Silva",
"email": "joao@acme.com",
"phone": "+5511999999999",
"tax_id": "12345678901",
"role": "administrator"
},
{
"name": "Maria Silva",
"email": "maria.silva@acme.com",
"phone": "+5511999999999",
"tax_id": "12345678000",
"role": "legal_representative"
}
],
"address": [
{
"city": "São Paulo",
"state": "SP",
"country": "Brasil",
"zip_code": "01234-567",
"street": "Rua das Flores",
"number": "123",
"complement": "Sala 1"
}
]
},
"status": "active",
"status_history": [
{
"status": "pending",
"created_at": "2024-01-01T10:00:00.000000Z"
},
{
"status": "due_diligence_review",
"created_at": "2024-01-02T10:00:00.000000Z"
},
{
"status": "active",
"created_at": "2024-01-03T10:00:00.000000Z"
}
],
"account_id": 999900,
"created_at": "2024-01-01T10:00:00.000000Z",
"updated_at": "2024-01-03T10:00:00.000000Z"
}
{
"error": "Account opening request not found"
}
Was this page helpful?
⌘I

